package cz.neit.dm.controllers;

import cz.neit.security.permission.hints.simple.PermissionsWrapper;
import cz.neit.security.permission.hints.simple.StaticHintEvaluator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by jhruby on 03.01.2019
 */
@RestController
public class PermissionController {
    private final StaticHintEvaluator staticHintEvaluator;

    @Autowired
    public PermissionController(StaticHintEvaluator staticHintEvaluator) {
        this.staticHintEvaluator = staticHintEvaluator;
    }

    @GetMapping("/permissions")
    public PermissionsWrapper permissions() {
        return staticHintEvaluator.buildStaticHints();
    }


}
