package cz.neit.dm.dtos.mappers;

import cz.neit.dm.dtos.modeldto.FileDTO;
import cz.neit.dm.dtos.modeldto.FileSimpleDTO;
import cz.neit.dm.entity.FileDM;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Mappings;


@Mapper
public interface FileMapper {

    @Mappings({
            @Mapping(target = "category", source = "fileDM.category.name")
    })
    FileDTO fileDmToFileDTO(FileDM fileDM);



    @Mappings({
            @Mapping(target = "category.name", source = "fileDTO.category")
    })
    FileDM fileDtoToFileDM(FileDTO fileDTO);

    FileSimpleDTO fileDmToSimpleFileDTO(FileDM fileDM);

}
