package cz.neit.dm.dtos.modeldto;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(description = "Information about link validation. True means that the share date of link is earlier then now and is not valid. If there was a false value, the second information is the date where the link will expire")
public class LinkValidationDTO {
    boolean earlier;
    LocalDate dayOfDelete;
}
