package cz.neit.dm.dtos.modeldto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * Created by jhruby on 20.08.2018
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(description = "Information about user with password and groups where is the current user assigned")
public class UserDTO extends UserSimpleDTO{

    @ApiModelProperty(value = "Password for login to app")
    private String password;

    @ApiModelProperty(value = "Previous password")
    private String oldPassword;

    @ApiModelProperty(value = "Assigned groups to the current user")
    private UserGroupsDTO groups;

}
