package cz.neit.dm.dtos.modeldto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * Created by jhruby on 21.08.2018
 */
@Data
@NoArgsConstructor
@ApiModel(description = "User information about position in groups (User or Manager")
public class UserGroupsDTO {

    @ApiModelProperty(value = "Collection of groups, where is the current user assigned")
    List<GroupSimpleDTO> userOf;

    @ApiModelProperty(value = "Collection of groups, where is the current user assigned with manager role")
    List<GroupSimpleDTO> managerOf;

}

