package cz.neit.dm.properties;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class MailProperties {

    @Value("${app.mail.baseUrl}")
    private String baseUrl;

    @Value("${app.mail.frontendUrl}")
    private String frontendUrl;

    @Value("${app.mail.companyUrl}")
    private String companyUrl;

    @Value("${app.mail.facebookUrl}")
    private String facebookUrl;

    @Value("${app.mail.linkedinUrl}")
    private String linkedinUrl;


    public String getBaseUrl() {
        return baseUrl;
    }

    public String getFrontendUrl() {
        return frontendUrl;
    }

    public String getCompanyUrl() {
        return companyUrl;
    }

    public String getFacebookUrl() {
        return facebookUrl;
    }

    public String getLinkedinUrl() {
        return linkedinUrl;
    }
}
