package cz.neit.dm.repositories;

import cz.neit.dm.entity.GroupMembership;
import cz.neit.dm.entity.enums.MembershipType;
import org.springframework.data.repository.CrudRepository;

import java.util.List;
import java.util.Optional;

/**
 * Created by jhruby on 25.07.2018
 */
public interface GroupMembershipRepository extends CrudRepository<GroupMembership, Long> {
    List<GroupMembership> findAllByUserId(Long userId);
    List<GroupMembership> findAllByGroupId(Long groupId);
    Optional<GroupMembership> findByGroupIdAndUserId(Long groupId, Long userId);
    List<GroupMembership> findAllByGroupIdAndMembershipType(Long groupId, MembershipType membershipType);

}
