package cz.neit.dm.repositories;

import cz.neit.dm.entity.SideLink;
import org.springframework.data.repository.CrudRepository;

import java.util.List;
import java.util.Optional;

public interface SideLinkRepository extends CrudRepository<SideLink, Long> {
    List<SideLink> findAllByLinkId(Long linkId);
    Optional<SideLink> findByToken(String token);
    Optional<SideLink> findByLinkIdAndRecipientId(Long linkId, Long recipientId);
}
