package cz.neit.dm.services;

import cz.neit.dm.dtos.modeldto.DefaultUserSettingsDTO;
import cz.neit.dm.dtos.modeldto.UserDTO;
import cz.neit.dm.dtos.modeldto.UserSimpleDTO;
import cz.neit.dm.entity.DefaultUserSettings;
import cz.neit.dm.entity.User;

/**
 * Created by jhruby on 16.04.2019
 */
public interface DefaultUserSettingsService {
    DefaultUserSettings getDefaultUserSettingsDetails(Long defId);
    UserSimpleDTO updateCurrentUser(Long id, UserDTO userDTO);
    void updateUserPassword(String newPassword, User user);

    DefaultUserSettingsDTO getDefaultUserSettingsDetailsByCurrentUser(User currentUser);
    DefaultUserSettingsDTO setDefaultUserSettings(Long userId, DefaultUserSettingsDTO dto);
}
