package cz.neit.dm.services;

import cz.neit.dm.entity.Link;
import cz.neit.dm.entity.Recipient;
import cz.neit.dm.entity.SideLink;

import java.util.List;

/**
 * Created by jhruby on 19.09.2018
 */
public interface SideLinkService {

    // *********** GETTERS
    SideLink getSideLinkByToken(String sideLinkToken);
    SideLink getSideLinkByLinkIdAndRecipientId(Long linkId, Long recipientId);

    // *********** GETTERS LIST
    List<SideLink> getSideLinksByLinkId(Long linkId);

    // *********** CRUD
    List<SideLink> createSideLinks(Link link, List<Recipient> recipientList);
    void deleteSideLinksByLinkId(Long linkId);


    // *********** SHARE OR DISABLE LINK FOR CUSTOMERS
    void shareSideLink(Long linkId);
    void disableSideLink(Long linkId);

}
