package cz.neit.dm.controllers;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * Created by jhruby on 28.01.2019
 */

@Controller
public class ErrorController {

    @GetMapping("/error/dl-exceeded")
    public String getDownloadLimitExceeded() {
        return "downloadLimitExceeded.html";
    }

    @GetMapping("/error/time-exceeded")
    public String getTimeExceeded() {
        return "timeExceeded.html";
    }

    @GetMapping("/error/link-invalidate")
    public String getLinkInvalidate() {
        return "linkInvalidate.html";
    }

    @GetMapping("/error/download-error")
    public String getDownloadError() {
        return "downloadError.html";
    }
}
