package cz.neit.dm.dtos.mappers;

import cz.neit.dm.dtos.modeldto.LinkDTO;
import cz.neit.dm.entity.Link;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Mappings;

/**
 * Created by jhruby on 05.09.2018
 */
@Mapper
public interface LinkMapper {

    @Mappings({
            @Mapping(target = "file.category", source = "link.file.category.name")
    })
    LinkDTO linkToLinkDTO(Link link);

    @Mappings({
            @Mapping(target = "file.category.name", source = "file.category")
    })
    Link linkDtoToLink(LinkDTO linkDTO);
}
