package cz.neit.dm.dtos.modeldto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Positive;


/**
 * Created by jhruby on 29.08.2018
 */
@Data
@NoArgsConstructor
@ApiModel(description = "Simple information about file data, for preview")
public class FileSimpleDTO {

    @ApiModelProperty(value = "Unique identificator")
    private Long id;

    @ApiModelProperty(value = "Name of uploaded file")
    private String filename;

    @ApiModelProperty(value = "Size of uploaded file")
    @Positive
    private Long filesize;

    @ApiModelProperty(value = "Format of file")
    private String format;

}
