package cz.neit.dm.dtos.modeldto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by jhruby on 22.08.2018
 */
@Data
@NoArgsConstructor
@ApiModel(description = "Group information about their users and their roles in current group")
public class GroupUsersDTO {

    @ApiModelProperty(value = "Collection of users assigned to current group")
    List<UserSimpleDTO> users = new ArrayList<>();

    @ApiModelProperty(value = "Collection of users with manager role, assigned to current group")
    List<UserSimpleDTO> managers = new ArrayList<>();
}
