package cz.neit.dm.dtos.modeldto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Created by jhruby on 20.08.2018
 */
@Data
@NoArgsConstructor
@ApiModel(description = "DTO for login to application")
public class LoginDTO {

    @ApiModelProperty(value = "Unique identification, used for login")
    private String username;

    @ApiModelProperty(value = "Password for login to app")
    private String password;

}
