package cz.neit.dm.mail;

import cz.neit.dm.entity.Link;
import cz.neit.dm.entity.PasswordResetToken;
import cz.neit.dm.entity.Recipient;
import cz.neit.dm.entity.User;

import java.util.List;

/**
 * Created by jhruby on 16.10.2018
 */
public interface EmailService {

    //MIME Message for sending emails with links of shared files
    void sendMimeMessage(Link link, List<Recipient> recipients);
    void sendNotification(Link link, List<Recipient> recipients);

    //MIME messages for construct and send of password reset token mails
    void sendResetTokenEmail(User user, PasswordResetToken token);
}

