package cz.neit.dm.repositories;

import cz.neit.dm.entity.FileDM;
import cz.neit.security.acl.IResourceRepository;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * Created by jhruby on 03.09.2018
 */

public interface FileRepository extends JpaRepository<FileDM, Long>, IResourceRepository<FileDM, Long> {
    List<FileDM> findAllByGroupIdIn (List<Long> groupsId);
    List<FileDM> findAllByGroupIsNull();
    List<FileDM> findAllByGroupId (Long groupId);
    List<FileDM> findAllByAuthorId (Long authorId);
    List<FileDM> findAllByGroupIsNullAndAuthorId(Long authorId);
    List<FileDM> findAllByGroupIdAndAuthorId (Long groupId, Long authorId);
}
