package cz.neit.dm.repositories;

import cz.neit.dm.entity.Group;
import cz.neit.security.acl.IResourceRepository;
import org.springframework.data.repository.CrudRepository;

import java.util.List;
import java.util.Optional;

public interface GroupRepository extends CrudRepository<Group, Long>, IResourceRepository<Group, Long> {

    List<Group> findAllByIdNotIn(List<Long> ids);
    Optional<Group> findByName(String name);

}
