package cz.neit.dm.repositories;

import cz.neit.dm.entity.Link;
import cz.neit.security.acl.IResourceRepository;
import org.springframework.data.repository.CrudRepository;

import java.util.List;

/**
 * Created by jhruby on 05.09.2018
 */

public interface LinkRepository extends CrudRepository<Link, Long>, IResourceRepository<Link, Long> {

    List<Link> findAllByFile_GroupIdIn(List<Long> groupsId);
    List<Link> findAllByFile_GroupIsNull();
    List<Link> findAllBySharedIsTrue();



}
