package cz.neit.dm.repositories;

import cz.neit.dm.entity.Recipient;
import org.springframework.data.repository.CrudRepository;

import java.util.List;
import java.util.Optional;

/**
 * Created by jhruby on 19.09.2018
 */
public interface RecipientRepository extends CrudRepository<Recipient, Long> {
   Optional<Recipient> findByEmail(String mail);
   List<Recipient> findAllByEmailLikeIgnoreCase(String mail);
}
