package cz.neit.dm.security;

import cz.neit.dm.entity.User;
import cz.neit.dm.exceptions.UnauthorizedException;
import org.springframework.security.core.context.SecurityContextHolder;

public class SecurityContextUtils {

    //vytahne si Principal(User)
    public static User getCurrentLoggedUser() {
        Object principal = SecurityContextHolder.getContext().getAuthentication().getPrincipal();
        if(principal instanceof User) {
            return (User) principal;
        } else {
            throw new UnauthorizedException("No logged user.");
        }
    }
}
