package cz.neit.dm.services;

import cz.neit.dm.dtos.modeldto.RecipientDTO;
import cz.neit.dm.entity.Recipient;
import cz.neit.dm.entity.SideLink;

import java.util.List;

/**
 * Created by jhruby on 19.09.2018
 */
public interface RecipientService {

    List<Recipient> getAllRecipients();

    List<RecipientDTO> getAllRecipientsDTO();

    List<RecipientDTO> getRecipientsByEmail(String email);

    List<Recipient> getRecipientsAndIfNotExistsCreateNew(List<String> recipientEmails);

    Recipient getRecipientDetails(Long recipientId);

    void addNewSideLinkToRecipient(SideLink sideLink);
}
